All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Class HTMLExportCSSInfo

    com.sas.dataselectors.export.HTMLExportCSSInfo

All Implemented Interfaces:
  HTMLExportCSSInfoInterface

    public class HTMLExportCSSInfo

implements HTMLExportCSSInfoInterface

Holds the information needed to declare a CSS style sheet into an HTML stream during the exporting.

Since:
  3.1

Field Summary
`protected java.lang.String` | `mediaList` The list of the media types for which the style sheet should be applied
`protected java.lang.String` | `title` The title of the CSS style sheet
`protected java.lang.String` | `type` The MIME type of the CSS style sheet
`protected java.lang.String` | `url` The URL of the CSS style sheet.

Fields inherited from interface com.sas.dataselectors.export.HTMLExportCSSInfoInterface
`DEFAULT_MIME_TYPE, DEFAULT_URL`

Constructor Summary
`HTMLExportCSSInfo()` Creates a new HTMLExportCSSInfo object setting the attributes to their default values

Method Summary
`java.lang.String` | `getCSSMediaList()` Returns the list of the media types for which the style sheet should be applied.
`java.lang.String` | `getCSSMIMEType()` Returns the MIME type of the CSS style sheet.
`java.lang.String` | `getCSSTitle()` Returns the title of the CSS style sheet.
`java.lang.String` | `getCSSURL()` Returns the URL of the CSS style sheet.
`void` | `setCSSMediaList(java.lang.String mediaList)` Sets the list of the media types for which the style sheet should be applied.
`void` | `setCSSMIMEType(java.lang.String type)` Sets the MIME type of the CSS style sheet.
`void` | `setCSSTitle(java.lang.String title)` Sets the title of the CSS style sheet.
`void` | `setCSSURL(java.lang.String url)` Sets the URL of the CSS style sheet.

Field Detail

### url

    protected java.lang.String url

  The URL of the CSS style sheet.

### type

    protected java.lang.String type

  The MIME type of the CSS style sheet

### title

    protected java.lang.String title

  The title of the CSS style sheet

### mediaList

    protected java.lang.String mediaList

  The list of the media types for which the style sheet should be applied

Constructor Detail

### HTMLExportCSSInfo

    public HTMLExportCSSInfo()

  Creates a new HTMLExportCSSInfo object setting the attributes to their default values

Method Detail

### setCSSURL

    public void setCSSURL(java.lang.String url)

  Description copied from interface: `HTMLExportCSSInfoInterface`
  Sets the URL of the CSS style sheet.

  Specified by:
    `setCSSURL` in interface `HTMLExportCSSInfoInterface`
  Parameters:
    `url` - The URL of the style sheet.

### getCSSURL

    public java.lang.String getCSSURL()

  Description copied from interface: `HTMLExportCSSInfoInterface`
  Returns the URL of the CSS style sheet.

  Specified by:
    `getCSSURL` in interface `HTMLExportCSSInfoInterface`
  Returns:
    String The URL of the style sheet Default value `HTMLExportCSSInfoInterface.DEFAULT_URL`.

### setCSSMIMEType

    public void setCSSMIMEType(java.lang.String type)

  Description copied from interface: `HTMLExportCSSInfoInterface`
  Sets the MIME type of the CSS style sheet.

  Specified by:
    `setCSSMIMEType` in interface `HTMLExportCSSInfoInterface`
  Parameters:
    `type` - The MIME type of the CSS style sheet.

### getCSSMIMEType

    public java.lang.String getCSSMIMEType()

  Description copied from interface: `HTMLExportCSSInfoInterface`
  Returns the MIME type of the CSS style sheet.

  Specified by:
    `getCSSMIMEType` in interface `HTMLExportCSSInfoInterface`
  Returns:
    String The MIME type of the CSS style sheet. Default value `HTMLExportCSSInfoInterface.DEFAULT_MIME_TYPE`.

### setCSSTitle

    public void setCSSTitle(java.lang.String title)

  Description copied from interface: `HTMLExportCSSInfoInterface`
  Sets the title of the CSS style sheet.

  Specified by:
    `setCSSTitle` in interface `HTMLExportCSSInfoInterface`
  Parameters:
    `title` - The title of the CSS style sheet.

### getCSSTitle

    public java.lang.String getCSSTitle()

  Description copied from interface: `HTMLExportCSSInfoInterface`
  Returns the title of the CSS style sheet.

  Specified by:
    `getCSSTitle` in interface `HTMLExportCSSInfoInterface`
  Returns:
    String The title of the CSS style sheet. Default value `HTMLExportCommandsAttributeNames.MISSING_VALUE`.

### setCSSMediaList

    public void setCSSMediaList(java.lang.String mediaList)

  Description copied from interface: `HTMLExportCSSInfoInterface`
  Sets the list of the media types for which the style sheet should be applied.

  Specified by:
    `setCSSMediaList` in interface `HTMLExportCSSInfoInterface`
  Parameters:
    `mediaList` - The list of the media types for which the style sheet should be applied.

### getCSSMediaList

    public java.lang.String getCSSMediaList()

  Description copied from interface: `HTMLExportCSSInfoInterface`
  Returns the list of the media types for which the style sheet should be applied.

  Specified by:
    `getCSSMediaList` in interface `HTMLExportCSSInfoInterface`
  Returns:
    String The list of the media types for which the style sheet should be applied. Default value `HTMLExportCommandsAttributeNames.MISSING_VALUE`.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.